Publisher is EE6 compatible, but it does not support the Fluid field. Please do not contact asking when support will be available.

If you purchased an add-on from expressionengine.com, be sure to visit boldminded.com/claim to add the license to your account here on boldminded.com.

Ticket: Logit Issues - TypeError

Status Resolved
Add-on / Version Logit 1.1.1
Severity
EE Version 6.3.3

YveZ

May 01, 2022
5/1/22, 6:52 PM TypeError - ExpressionEngine
https://(domain_hidden_for_privacy)/admin.php?/cp/publish/edit&filter_by_keyword=add&search_in=titles_and_content&perpage=25&sort_col=column_entry_date… 1/3
TypeError Caught
Argument 1 passed to Logit_ext::logit() must be of the type array, string
given, called in user/addons/logit/ext.logit.php on line 181
user/addons/logit/ext.logit.php:265
Stack Trace: Please include when reporting this error
#0 user/addons/logit/ext.logit.php(181): Logit_ext->logit('[Logit] Delete
d…')
#1 ee/legacy/libraries/Extensions.php(203): Logit_ext->afterDeleteEvent(Obje
ct(ExpressionEngine\Addons\Pro\Model\Channel\ChannelEntry), Array)
#2 ee/legacy/libraries/Extensions.php(108): EE_Extensions->call_class('Logit
_ext', 'after_channel_e…', Array, Array)
#3 [internal function]: EE_Extensions->call('after_channel_e…', Object(Exp
ressionEngine\Addons\Pro\Model\Channel\ChannelEntry), Array)
#4 ee/ExpressionEngine/Service/Model/Model.php(662): call_user_func_array(Ar
ray, Array)
#5 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngi
ne\Service\Model\{closure}('after_channel_e…', Object(ExpressionEngine\Add
ons\Pro\Model\Channel\ChannelEntry), Array)
#6 ee/ExpressionEngine/Service/Model/Model.php(608): call_user_func_array(Ob
ject(Closure), Array)
#7 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngi
ne\Service\Model\{closure}()
#8 ee/ExpressionEngine/Service/Event/Emitter.php(132): call_user_func_array
(Object(Closure), Array)
#9 [internal function]: ExpressionEngine\Service\Event\Emitter->emit('afterD
elete')
#10 ee/ExpressionEngine/Library/Data/Entity.php(634): call_user_func_array(A
rray, Array)
#11 [internal function]: ExpressionEngine\Library\Data\Entity->emit('afterDe
lete')
#12 ee/ExpressionEngine/Service/Model/Model.php(841): call_user_func_array
('parent::emit', Array)
#13 [internal function]: ExpressionEngine\Service\Model\Model->emit('afterDe
lete')
5/1/22, 6:52 PM TypeError - ExpressionEngine
https://(domain_hidden_for_privacy)/admin.php?/cp/publish/edit&filter_by_keyword=add&search_in=titles_and_content&perpage=25&sort_col=column_entry_date… 2/3
#14 ee/ExpressionEngine/Library/Data/Collection.php(79): call_user_func_arra
y(Array, Array)
#15 [internal function]: ExpressionEngine\Library\Data\Collection->Expressio
nEngine\Library\Data\{closure}(Object(ExpressionEngine\Addons\Pro\Model\Chan
nel\ChannelEntry))
#16 ee/ExpressionEngine/Library/Data/Collection.php(233): array_map(Object(C
losure), Array)
#17 ee/ExpressionEngine/Library/Data/Collection.php(86): ExpressionEngine\Li
brary\Data\Collection->map(Object(Closure))
#18 ee/ExpressionEngine/Service/Model/Query/Delete.php(119): ExpressionEngin
e\Library\Data\Collection->__call('emit', Array)
#19 ee/ExpressionEngine/Service/Model/Query/Delete.php(90): ExpressionEngine
\Service\Model\Query\Delete->deleteCollection(Object(ExpressionEngine\Servic
e\Model\Collection), Object(ExpressionEngine\Service\Model\MetaDataReader))
#20 ee/ExpressionEngine/Service/Model/DataStore.php(275): ExpressionEngine\S
ervice\Model\Query\Delete->run()
#21 ee/ExpressionEngine/Service/Model/DataStore.php(250): ExpressionEngine\S
ervice\Model\DataStore->runQuery('Delete', Object(ExpressionEngine\Service\M
odel\Query\Builder))
#22 ee/ExpressionEngine/Service/Model/Query/Builder.php(87): ExpressionEngin
e\Service\Model\DataStore->deleteQuery(Object(ExpressionEngine\Service\Model
\Query\Builder))
#23 ee/ExpressionEngine/Controller/Publish/Edit.php(626): ExpressionEngine\S
ervice\Model\Query\Builder->delete()
#24 ee/ExpressionEngine/Controller/Publish/Edit.php(634): ExpressionEngine\C
ontroller\Publish\Edit->removeEntries(Array)
#25 ee/ExpressionEngine/Controller/Publish/Edit.php(549): ExpressionEngine\C
ontroller\Publish\Edit->removeAllEntries(Array)
#26 ee/ExpressionEngine/Controller/Publish/Edit.php(57): ExpressionEngine\Co
ntroller\Publish\Edit->remove(Array)
#27 [internal function]: ExpressionEngine\Controller\Publish\Edit->index()
#28 ee/ExpressionEngine/Core/Core.php(266): call_user_func_array(Array, Arra
y)
#29 ee/ExpressionEngine/Core/Core.php(122): ExpressionEngine\Core\Core->runC
ontroller(Array)
#30 ee/ExpressionEngine/Boot/boot.php(161): ExpressionEngine\Core\Core->run
(Object(ExpressionEngine\Core\Request))
#31 admin.php(144): require_once('...')
5/1/22, 6:52 PM TypeError - ExpressionEngine
https://(domain_hidden_for_privacy)/admin.php?/cp/publish/edit&filter_by_keyword=add&search_in=titles_and_content&perpage=25&sort_col=column_entry_date… 3/3
#31 admin.php(144): require_once('...')
#1

BoldMinded (Brian)

May 03, 2022

Comment has been marked private.

#2

YveZ

May 11, 2022

Below is error shown after I createe a Member Role

TypeError Caught
Argument 1 passed to BoldMinded\Logit\ContentType\RoleContentType::__construct() must be an instance of ExpressionEngine\Model\Permission\Permission, instance of ExpressionEngine\Model\Role\Role given, called in user/addons/logit/Service/ActionResolver.php on line 219
user/addons/logit/ContentType/RoleContentType.php:18

Stack Trace: Please include when reporting this error
#0 user/addons/logit/Service/ActionResolver.php(219): BoldMinded\Logit\ContentType\RoleContentType->__construct(Object(ExpressionEngine\Model\Role\Role))
#1 user/addons/logit/ext.logit.php(97): BoldMinded\Logit\Service\ActionResolver->getContentType(Object(ExpressionEngine\Model\Role\Role))
#2 ee/legacy/libraries/Extensions.php(203): Logit_ext->afterInsertEvent(Object(ExpressionEngine\Model\Role\Role), Array)
#3 ee/legacy/libraries/Extensions.php(108): EE_Extensions->call_class(‘Logit_ext’, ‘after_role_inse…’, Array, Array)
#4 [internal function]: EE_Extensions->call(‘after_role_inse…’, Object(ExpressionEngine\Model\Role\Role), Array)
#5 ee/ExpressionEngine/Service/Model/Model.php(662): call_user_func_array(Array, Array)
#6 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngine\Service\Model\{closure}(‘after_role_inse…’, Object(ExpressionEngine\Model\Role\Role), Array)
#7 ee/ExpressionEngine/Service/Model/Model.php(608): call_user_func_array(Object(Closure), Array)
#8 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngine\Service\Model\{closure}()
#9 ee/ExpressionEngine/Service/Event/Emitter.php(132): call_user_func_array(Object(Closure), Array)
#10 [internal function]: ExpressionEngine\Service\Event\Emitter->emit(‘afterInsert’)
#11 ee/ExpressionEngine/Library/Data/Entity.php(634): call_user_func_array(Array, Array)
#12 [internal function]: ExpressionEngine\Library\Data\Entity->emit(‘afterInsert’)
#13 ee/ExpressionEngine/Service/Model/Model.php(841): call_user_func_array(‘parent::emit’, Array)
#14 ee/ExpressionEngine/Service/Model/Query/Insert.php(30): ExpressionEngine\Service\Model\Model->emit(‘afterInsert’)
#15 ee/ExpressionEngine/Service/Model/DataStore.php(275): ExpressionEngine\Service\Model\Query\Insert->run()
#16 ee/ExpressionEngine/Service/Model/DataStore.php(230): ExpressionEngine\Service\Model\DataStore->runQuery(‘Insert’, Object(ExpressionEngine\Service\Model\Query\Builder))
#17 ee/ExpressionEngine/Service/Model/Query/Builder.php(79): ExpressionEngine\Service\Model\DataStore->insertQuery(Object(ExpressionEngine\Service\Model\Query\Builder))
#18 ee/ExpressionEngine/Service/Model/Model.php(362): ExpressionEngine\Service\Model\Query\Builder->insert()
#19 ee/ExpressionEngine/Controller/Members/Roles/Roles.php(212): ExpressionEngine\Service\Model\Model->save()
#20 [internal function]: ExpressionEngine\Controller\Members\Roles\Roles->create()
#21 ee/ExpressionEngine/Core/Core.php(266): call_user_func_array(Array, Array)
#22 ee/ExpressionEngine/Core/Core.php(122): ExpressionEngine\Core\Core->runController(Array)
#23 ee/ExpressionEngine/Boot/boot.php(161): ExpressionEngine\Core\Core->run(Object(ExpressionEngine\Core\Request))
#24 yvez/admin.php(145): require_once(’...’)
#24 yvez/admin.php(145): require_once(’...’)

#3

YveZ

May 11, 2022

TypeError Caught
Argument 1 passed to BoldMinded\Logit\ContentType\RoleContentType::__construct() must be an instance of ExpressionEngine\Model\Permission\Permission, instance of ExpressionEngine\Model\Role\Role given, called in user/addons/logit/Service/ActionResolver.php on line 219
user/addons/logit/ContentType/RoleContentType.php:18

Stack Trace: Please include when reporting this error
#0 user/addons/logit/Service/ActionResolver.php(219): BoldMinded\Logit\ContentType\RoleContentType->__construct(Object(ExpressionEngine\Model\Role\Role))
#1 user/addons/logit/ext.logit.php(97): BoldMinded\Logit\Service\ActionResolver->getContentType(Object(ExpressionEngine\Model\Role\Role))
#2 ee/legacy/libraries/Extensions.php(203): Logit_ext->afterInsertEvent(Object(ExpressionEngine\Model\Role\Role), Array)
#3 ee/legacy/libraries/Extensions.php(108): EE_Extensions->call_class(‘Logit_ext’, ‘after_role_inse…’, Array, Array)
#4 [internal function]: EE_Extensions->call(‘after_role_inse…’, Object(ExpressionEngine\Model\Role\Role), Array)
#5 ee/ExpressionEngine/Service/Model/Model.php(662): call_user_func_array(Array, Array)
#6 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngine\Service\Model\{closure}(‘after_role_inse…’, Object(ExpressionEngine\Model\Role\Role), Array)
#7 ee/ExpressionEngine/Service/Model/Model.php(608): call_user_func_array(Object(Closure), Array)
#8 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngine\Service\Model\{closure}()
#9 ee/ExpressionEngine/Service/Event/Emitter.php(132): call_user_func_array(Object(Closure), Array)
#10 [internal function]: ExpressionEngine\Service\Event\Emitter->emit(‘afterInsert’)
#11 ee/ExpressionEngine/Library/Data/Entity.php(634): call_user_func_array(Array, Array)
#12 [internal function]: ExpressionEngine\Library\Data\Entity->emit(‘afterInsert’)
#13 ee/ExpressionEngine/Service/Model/Model.php(841): call_user_func_array(‘parent::emit’, Array)
#14 ee/ExpressionEngine/Service/Model/Query/Insert.php(30): ExpressionEngine\Service\Model\Model->emit(‘afterInsert’)
#15 ee/ExpressionEngine/Service/Model/DataStore.php(275): ExpressionEngine\Service\Model\Query\Insert->run()
#16 ee/ExpressionEngine/Service/Model/DataStore.php(230): ExpressionEngine\Service\Model\DataStore->runQuery(‘Insert’, Object(ExpressionEngine\Service\Model\Query\Builder))
#17 ee/ExpressionEngine/Service/Model/Query/Builder.php(79): ExpressionEngine\Service\Model\DataStore->insertQuery(Object(ExpressionEngine\Service\Model\Query\Builder))
#18 ee/ExpressionEngine/Service/Model/Model.php(362): ExpressionEngine\Service\Model\Query\Builder->insert()
#19 ee/ExpressionEngine/Controller/Members/Roles/Roles.php(212): ExpressionEngine\Service\Model\Model->save()
#20 [internal function]: ExpressionEngine\Controller\Members\Roles\Roles->create()
#21 ee/ExpressionEngine/Core/Core.php(266): call_user_func_array(Array, Array)
#22 ee/ExpressionEngine/Core/Core.php(122): ExpressionEngine\Core\Core->runController(Array)
#23 ee/ExpressionEngine/Boot/boot.php(161): ExpressionEngine\Core\Core->run(Object(ExpressionEngine\Core\Request))
#24 yvez/admin.php(145): require_once(’...’)
#24 yvez/admin.php(145): require_once(’...’)

#4

YveZ

May 11, 2022

sorry below is with code tag

TypeError Caught
Argument 1 passed to BoldMinded\Logit\ContentType\RoleContentType::__construct() must be an instance of ExpressionEngine\Model\Permission\Permission, instance of ExpressionEngine\Model\Role\Role given, called in user/addons/logit/Service/ActionResolver.php on line 219
user/addons/logit/ContentType/RoleContentType.php:18

Stack Trace: Please include when reporting this error
#0 user/addons/logit/Service/ActionResolver.php(219): BoldMinded\Logit\ContentType\RoleContentType->__construct(Object(ExpressionEngine\Model\Role\Role))
#1 user/addons/logit/ext.logit.php(97): BoldMinded\Logit\Service\ActionResolver->getContentType(Object(ExpressionEngine\Model\Role\Role))
#2 ee/legacy/libraries/Extensions.php(203): Logit_ext->afterInsertEvent(Object(ExpressionEngine\Model\Role\Role), Array)
#3 ee/legacy/libraries/Extensions.php(108): EE_Extensions->call_class('Logit_ext', 'after_role_inse…', Array, Array)
#4 [internal function]: EE_Extensions->call('after_role_inse…', Object(ExpressionEngine\Model\Role\Role), Array)
#5 ee/ExpressionEngine/Service/Model/Model.php(662): call_user_func_array(Array, Array)
#6 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngine\Service\Model\{closure}('after_role_inse…', Object(ExpressionEngine\Model\Role\Role), Array)
#7 ee/ExpressionEngine/Service/Model/Model.php(608): call_user_func_array(Object(Closure), Array)
#8 [internal function]: ExpressionEngine\Service\Model\Model->ExpressionEngine\Service\Model\{closure}()
#9 ee/ExpressionEngine/Service/Event/Emitter.php(132): call_user_func_array(Object(Closure), Array)
#10 [internal function]: ExpressionEngine\Service\Event\Emitter->emit('afterInsert')
#11 ee/ExpressionEngine/Library/Data/Entity.php(634): call_user_func_array(Array, Array)
#12 [internal function]: ExpressionEngine\Library\Data\Entity->emit('afterInsert')
#13 ee/ExpressionEngine/Service/Model/Model.php(841): call_user_func_array('parent::emit', Array)
#14 ee/ExpressionEngine/Service/Model/Query/Insert.php(30): ExpressionEngine\Service\Model\Model->emit('afterInsert')
#15 ee/ExpressionEngine/Service/Model/DataStore.php(275): ExpressionEngine\Service\Model\Query\Insert->run()
#16 ee/ExpressionEngine/Service/Model/DataStore.php(230): ExpressionEngine\Service\Model\DataStore->runQuery('Insert', Object(ExpressionEngine\Service\Model\Query\Builder))
#17 ee/ExpressionEngine/Service/Model/Query/Builder.php(79): ExpressionEngine\Service\Model\DataStore->insertQuery(Object(ExpressionEngine\Service\Model\Query\Builder))
#18 ee/ExpressionEngine/Service/Model/Model.php(362): ExpressionEngine\Service\Model\Query\Builder->insert()
#19 ee/ExpressionEngine/Controller/Members/Roles/Roles.php(212): ExpressionEngine\Service\Model\Model->save()
#20 [internal function]: ExpressionEngine\Controller\Members\Roles\Roles->create()
#21 ee/ExpressionEngine/Core/Core.php(266): call_user_func_array(Array, Array)
#22 ee/ExpressionEngine/Core/Core.php(122): ExpressionEngine\Core\Core->runController(Array)
#23 ee/ExpressionEngine/Boot/boot.php(161): ExpressionEngine\Core\Core->run(Object(ExpressionEngine\Core\Request))
#24 yvez/admin.php(145): require_once('...')
#24 yvez/admin.php(145): require_once('...')
#5

BoldMinded (Brian)

May 11, 2022

Comment has been marked private.

#6

BoldMinded (Brian)

May 18, 2022

I released 1.1.2 publicly today, and I’m pretty sure it resolves your issue, so I’m going to close this ticket.

#7

BoldMinded (Brian)

May 18, 2022

The released version might be slightly newer than the previous build I sent you, so you’ll want to download it from your account.

Login to reply